Начало работы: подключение myTarget SDK iOS


Подключение myTarget SDK iOS

  • Минимальная поддерживаемая версия iOS - 10.0.
  • Требуется версия Xcode 12.5 или выше.

Подключение с использованием Swift Package Manager

Чтобы добавить зависимость в Xcode проект, выберите File > Swift Packages > Add Package Dependency и введите URL репозитория: https://github.com/myTargetSDK/mytarget-ios-spm

Добавьте флаг '-ObjC' в Other Linker Flags на вкладке Build Settings вашего проекта.

Подключение с использованием CocoaPods

Добавьте в ваш Podfile зависимость:
pod 'myTargetSDK'
Запустите 'pod install'.

Подключение вручную

  1. Скачайте последнюю версию myTarget iOS SDK и распакуйте архив.
  2. Подключите в проект фреймворк MyTargetSDK.framework из распакованного архива.
  3. Подключите к проекту фреймворки CoreLocation, CoreTelephony, CoreMedia, SystemConfiguration, StoreKit, AdSupport, SafariServices и AVFoundation.
  4. Добавьте флаг '-ObjC' в Other Linker Flags на вкладке Build Settings вашего проекта.
  5. Если вы видите ошибки линковки Swift символов, добавьте пустой .swift файл в ваш проект.

Медиация

Если вы планируете использовать медиацию с Mopub SDK, необходимо подключить к проекту файлы для соответствующего SDK из директории mediation нашего Github репозитория.

Читайте далее

Вам помогла эта статья?
Да
Нет